Index: ccr2ccd-xslt/trunk/make/MEASURES-BY-PATIENT.txt
===================================================================
--- ccr2ccd-xslt/trunk/make/MEASURES-BY-PATIENT.txt	(revision 1001)
+++ ccr2ccd-xslt/trunk/make/MEASURES-BY-PATIENT.txt	(revision 1004)
@@ -1,195 +1,116 @@
 249 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
 774 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-774 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100095 M112 M124 M128 M173 M0028 M113 M110 M111
 100095 M112 M124 M128 M173 M0028 M113 M110 M111
 100146 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100146 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100338 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100338 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100499 M124 M128 M47 M48 M173 M39 M0022 M0028 M113 M110 M111
-100499 M124 M128 M47 M48 M173 M39 M0022 M0028 M113 M110 M111
-100506 M124 M128 M47 M173 M39 M0022 M0028 M113 M110 M111
 100506 M124 M128 M47 M173 M39 M0022 M0028 M113 M110 M111
 100616 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100616 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100622 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100622 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100647 M124 M128 M47 M5 M173 M0022 M0028 M113 M110 M111
-100647 M124 M128 M47 M5 M173 M0022 M0028 M113 M110 M111
-100648 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
 100648 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
 100649 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100649 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100661 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100661 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100662 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100662 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
-100667 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
 100667 M124 M128 M47 M173 M0022 M0028 M113 M110 M111
 100676 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
-100676 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
-100696 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100696 M124 M128 M47 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
 100839 M112 M124 M128 M47 M48 M2 M3 M7 M173 M39 M1 M0013 M0022 M0028 M113 M110 M111
-100839 M112 M124 M128 M47 M48 M2 M3 M7 M173 M39 M1 M0013 M0022 M0028 M113 M110 M111
-100845 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100845 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100846 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100846 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100847 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100847 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100848 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100848 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100849 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100849 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100850 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100850 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100851 M124 M128 M173 M0028 M113 M110 M111
 100851 M124 M128 M173 M0028 M113 M110 M111
 100852 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100852 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100853 M124 M128 M173 M0028 M113 M110 M111
 100853 M124 M128 M173 M0028 M113 M110 M111
 100855 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100855 M112 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
-100856 M124 M128 M173 M0028 M113 M110 M111
 100856 M124 M128 M173 M0028 M113 M110 M111
 100857 M124 M128 M173 M0028 M113 M110 M111
-100857 M124 M128 M173 M0028 M113 M110 M111
-100858 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100858 M124 M128 M2 M3 M173 M1 M0028 M113 M110 M111
 100859 M112 M124 M128 M173 M0028 M113 M110 M111
-100859 M112 M124 M128 M173 M0028 M113 M110 M111
-100860 M112 M124 M128 M173 M0028 M113 M110 M111
 100860 M112 M124 M128 M173 M0028 M113 M110 M111
 100861 M112 M124 M128 M173 M0028 M113 M110 M111
-100861 M112 M124 M128 M173 M0028 M113 M110 M111
-100862 M112 M124 M128 M173 M0028 M113 M110 M111
 100862 M112 M124 M128 M173 M0028 M113 M110 M111
 100863 M112 M124 M128 M173 M0028 M113 M110 M111
-100863 M112 M124 M128 M173 M0028 M113 M110 M111
-100864 M110 M111
 100864 M110 M111
 100865 M110 M111
-100865 M110 M111
-100866 M110 M111
 100866 M110 M111
 100867 M110 M111
-100867 M110 M111
-100868 M110 M111
 100868 M110 M111
 100869 M110 M111
-100869 M110 M111
-100870 M110 M111
 100870 M110 M111
 100871 M110 M111
-100871 M110 M111
-100872 M110 M111
 100872 M110 M111
 100873 M110 M111
-100873 M110 M111
-100874 M7 M110 M111
-100874 M7 M110 M111
-100875 M7 M110 M111
-100875 M7 M110 M111
-100876 M111
-100876 M111
-100877 M110 M111
+100874 M124 M7 M0028 M110 M111
+100875 M124 M7 M0028 M110 M111
+100876 M124 M111
 100877 M110 M111
 100878 M112 M124 M128 M5 M173 M0028 M113 M110 M111
-100878 M112 M124 M128 M5 M173 M0028 M113 M110 M111
 100879 M112 M124 M128 M5 M173 M0028 M113 M110 M111
-100879 M112 M124 M128 M5 M173 M0028 M113 M110 M111
-100880 M7 M110 M111
-100880 M7 M110 M111
-100881 M7 M110 M111
-100881 M7 M110 M111
-100882 M7 M110 M111
-100882 M7 M110 M111
-100883 M110 M111
-100883 M110 M111
-100884 M110 M111
-100884 M110 M111
-100885 M110 M111
-100885 M110 M111
-100886 M110 M111
-100886 M110 M111
-100887 M112 M124 M128 M47 M173 M39 M0022 M0028 M113 M110 M111
+100880 M112 M124 M5 M7 M0028 M110 M111
+100881 M112 M124 M5 M7 M0028 M110 M111
+100882 M112 M124 M7 M0028 M110 M111
+100883 M124 M5 M0028 M110 M111
+100884 M112 M124 M0028 M110 M111
+100885 M112 M124 M47 M39 M0028 M110 M111
+100886 M112 M124 M0028 M110 M111
 100887 M112 M124 M128 M47 M173 M39 M0022 M0028 M113 M110 M111
 100888 M112 M124 M128 M47 M48 M173 M39 M0022 M0028 M113 M110 M111
-100888 M112 M124 M128 M47 M48 M173 M39 M0022 M0028 M113 M110 M111
-100889 M110 M111
-100889 M110 M111
-100890 M110 M111
-100890 M110 M111
-100891 M110 M111
-100891 M110 M111
-100892 M110 M111
+100889 M124 M47 M0028 M110 M111
+100890 M124 M47 M0028 M110 M111
+100891 M124 M47 M0028 M110 M111
 100892 M110 M111
 100893 M110 M111
-100893 M110 M111
 100894 M112 M124 M128 M47 M48 M173 M39 M0013 M0022 M0028 M113 M110 M111
-100894 M112 M124 M128 M47 M48 M173 M39 M0013 M0022 M0028 M113 M110 M111
-100895 M48 M0013 M0028 M110 M111
-100895 M48 M0013 M0028 M110 M111
-100896 M48 M0013 M0028 M110 M111
-100896 M48 M0013 M0028 M110 M111
-100897 M48 M0013 M0028 M110 M111
-100897 M48 M0013 M0028 M110 M111
-100898 M48 M0013 M0028 M110 M111
-100898 M48 M0013 M0028 M110 M111
-100899 M48 M5 M7 M0013 M0028 M110 M111
-100899 M48 M5 M7 M0013 M0028 M110 M111
-100900 M48 M5 M7 M0013 M0028 M110 M111
-100900 M48 M5 M7 M0013 M0028 M110 M111
-100901 M48 M5 M7 M0013 M0028 M110 M111
-100901 M48 M5 M7 M0013 M0028 M110 M111
-100902 M48 M5 M7 M0013 M0028 M110 M111
-100902 M48 M5 M7 M0013 M0028 M110 M111
-100903 M7 M110 M111
-100903 M7 M110 M111
-100904 M112 M124 M128 M173 M0028 M113 M110 M111
+100895 M112 M124 M47 M48 M39 M0013 M0028 M110 M111
+100896 M112 M124 M47 M48 M39 M0013 M0028 M110 M111
+100897 M112 M124 M47 M48 M39 M0013 M0028 M110 M111
+100898 M112 M124 M47 M48 M39 M0013 M0028 M110 M111
+100899 M112 M124 M47 M48 M5 M7 M39 M0013 M0028 M110 M111
+100900 M112 M124 M47 M48 M5 M7 M39 M0013 M0028 M110 M111
+100901 M112 M124 M47 M48 M5 M7 M39 M0013 M0028 M110 M111
+100902 M112 M124 M47 M48 M5 M7 M39 M0013 M0028 M110 M111
+100903 M112 M124 M47 M7 M39 M0028 M110 M111
 100904 M112 M124 M128 M173 M0028 M113 M110 M111
 100905 M112 M124 M128 M173 M0028 M113 M110 M111
-100905 M112 M124 M128 M173 M0028 M113 M110 M111
-100906 M110 M111
-100906 M110 M111
-100907 M112 M124 M128 M173 M0028 M113 M110 M111
+100906 M112 M124 M0028 M110 M111
 100907 M112 M124 M128 M173 M0028 M113 M110 M111
 100908 M110 M111
-100908 M110 M111
-100909 M110 M111
-100909 M110 M111
-100910 M110 M111
+100909 M124 M0028 M110 M111
 100910 M110 M111
 100911 M110 M111
-100911 M110 M111
-100912 M110 M111
 100912 M110 M111
 100913 M112 M124 M128 M173 M0028 M113 M110 M111
-100913 M112 M124 M128 M173 M0028 M113 M110 M111
-100914 M112 M124 M173 M0028 M113 M110 M111
 100914 M112 M124 M173 M0028 M113 M110 M111
 100915 M112 M124 M173 M0028 M113 M110 M111
-100915 M112 M124 M173 M0028 M113 M110 M111
-100917 M112 M124 M173 M0028 M113 M110 M111
 100917 M112 M124 M173 M0028 M113 M110 M111
 100923 M124 M128 M173 M0028 M113 M110 M111
-100923 M124 M128 M173 M0028 M113 M110 M111
 100929 M112 M124 M128 M47 M48 M173 M39 M0013 M0022 M0028 M113 M110 M111
-100929 M112 M124 M128 M47 M48 M173 M39 M0013 M0022 M0028 M113 M110 M111
-100930 M112 M124 M47 M48 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
-100930 M112 M124 M47 M48 M2 M3 M173 M1 M0022 M0028 M113 M110 M111
-100931 M124 M173 M0028 M110 M111
-100931 M124 M173 M0028 M110 M111
-100935 M124
-100935 M124
-100941 M124
-100941 M124
-100942 M124
-100942 M124
-100943 M124
-100943 M124
+100930 M112 M124 M47 M48 M2 M3 M173 M39 M1 M0022 M0028 M113 M110 M111
+100931 M112 M124 M47 M173 M39 M0028 M110 M111
+100932 M112 M124 M47 M39 M0028 M110
+100933 M112 M124 M47 M39 M0028 M110
+100934 M124 M0024 M0038
+100935 M124 M0024
+100936 M0024
+100937 M124 M0024 M0038
+100939 M0024
+100940 M0024
+100941 M124 M0024
+100942 M124 M0024
+100943 M124 M0024
+100944 M0024
+100945 M0024
+100946 M0024
+100947 M124 M0024 M0038
+100948 M124 M0024 M0038
+100949 M124 M0024 M0038
+100950 M0038
+100951 M124 M0024 M0038
+100952 M124 M0024 M0038
+100953 M124 M0024 M0038
+100954 M124 M0024 M0038
 100955 M124 M173 M0028 M113 M110 M111
-100955 M124 M173 M0028 M113 M110 M111